### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class ConnectionTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.services.connection.ConnectionFactoryException
com.sas.services.connection.ConnectionTimeoutException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class ConnectionTimeoutException extends ConnectionFactoryException
The connection factory throws a timeout exception when a connection request could not be completed before an administrative time limit expired. Load balancing spawners cause timeout exceptions if their load does not fall below a certain level within a certain amount of time.

After a timeout exception has been thrown, a future connection request might succeed. In other words, a timeout exception does not imply a server failure.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionTimeoutException()`
  No-arg constructor.
  `ConnectionTimeoutException(String msg)`
  Construct a connection factory exception with a message.
  `ConnectionTimeoutException(String msg, Throwable nestedException)`
  Construct a connection factory exception with a message and a nested exception.
  `ConnectionTimeoutException(Throwable nestedException)`
  Construct a connection factory exception with a nested exception.

- ## Method Summary

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryException

  `getRootException, getTargetException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionTimeoutException

    public ConnectionTimeoutException()
    No-arg constructor.

  - ### ConnectionTimeoutException

    public ConnectionTimeoutException(String msg)
    Construct a connection factory exception with a message.
    Parameters:
      `msg` - a message providing further details about the exception

  - ### ConnectionTimeoutException

    public ConnectionTimeoutException(Throwable nestedException)
    Construct a connection factory exception with a nested exception.
    Parameters:
      `nestedException` - the exception that caused this exception

  - ### ConnectionTimeoutException

    public ConnectionTimeoutException(String msg, Throwable nestedException)
    Construct a connection factory exception with a message and a nested exception.
    Parameters:
      `msg` - a message providing further details about the exception
      `nestedException` - the exception that caused this exception